Package org.apache.tomcat.util.modeler.modules

## Class MbeansDescriptorsDigesterSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource
  - - org.apache.tomcat.util.modeler.modules.MbeansDescriptorsDigesterSource

    public class MbeansDescriptorsDigesterSource
    extends ModelerSource

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

`sm, source`

### Constructor Summary

Constructors
`MbeansDescriptorsDigesterSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`
`java.util.List<javax.management.ObjectName>` `loadDescriptors​(Registry registry, java.lang.String type, java.lang.Object source)` Load data, returns a list of items.
`void` `setRegistry​(Registry reg)`
`void` `setSource​(java.lang.Object source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MbeansDescriptorsDigesterSource

    public MbeansDescriptorsDigesterSource()

### Method Detail

#### setRegistry

    public void setRegistry​(Registry reg)

#### setSource

    public void setSource​(java.lang.Object source)

#### loadDescriptors

    public java.util.List<javax.management.ObjectName> loadDescriptors​(Registry registry,
                                                                       java.lang.String type,
                                                                       java.lang.Object source)
                                                                throws java.lang.Exception

Description copied from class: `ModelerSource`
Load data, returns a list of items.

Specified by:
  `loadDescriptors` in class `ModelerSource`
Parameters:
  `registry` - The registry
  `type` - The bean registry type
  `source` - Introspected object or some other source
Returns:
  a list of object names
Throws:
  `java.lang.Exception` - Error loading descriptors

#### execute

    public void execute()
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`